clear appyear, gyear, appyearc, gyearc, subcat, ncites,subcatin;

 
 
if citeApp == 1;
    open fileHndl = togaussA.dat;
    names = lower(setvars("togaussA"));
    dat = readr(fileHndl,513667);
endif;
if citeApp == 0;
open fileHndl = jhtExactG.dat;
    names = lower(setvars("jhtExactG"));
    dat = readr(fileHndl,2268);
endif;

makevars(dat,0,names);

if citeApp == 1;
    dat = selif(dat,(appyear.>cutoffyear).*(appyearc.>cutoffyear).*(appyearc.>appyear));
endif;
if citeApp == 0;
    dat = selif(dat,(gyear.>cutoffyear).*(gyearc.>cutoffyear).*(gyearc.>gyear));
endif;



makevars(dat,0,names);

n = rows(ncites);


print "number of observations: " n;

lnCiteAvg = ln(ncites);

if citeApp ==1;
    citeyear = appyearc;
    birthyear = appyear;
endif;
if citeApp == 0;
    citeyear = gyearc;
    birthyear = gyear;
endif;
minCiteYear = minc(citeyear);
maxCiteYear = maxc(citeyear);
kCY = maxCiteYear - minCiteYear + 1;
cyDumMat = zeros(n,kCy);

minBirthYear= minc(birthYear);
maxBirthYear = maxc(birthYear);
kBY = int((maxBirthYear - minBirthYear+ 1)/5)+1;
byDumMat = zeros(n,kBY);


subcatMat = zeros(n,6);


for i(1,n,1);
    cyDumMat[i,(citeYear[i] - minCiteYear + 1)] = 1;
    byDumMat[i,(int((birthYear[i]-minBirthYear)/5)+1)]  = 1;
    subcatMat[i,subcatin[i]] = 1;
endfor;

cyDumMat = cyDumMat[.,2:kCY];
byDumMat = byDumMat[.,2:kBY];

subCatMat = subCatMat[.,2:cols(subCatMat)];

citeYrIdx = citeYear - minCiteYear + 1;
birthYrIdx = ((ones(n,1)-sumc(byDumMat'))~byDumMat)*seqa(1,1,kBY);


age = citeYear - birthYear;

print "ncites: ";
meanc(ncites);


/*
// the following is used in my procedure for creating a vector of names associated with a matrix of X variables
dat = dat~timer;
names = names|"time";
kTotVar = cols(dat);  // used in the matrix naming procedure
*/